#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

int duzina(char c, char s[])
{
	int k = 0;
	for (int i = 0 ; i < strlen(s) - 1 ; i++)
		if (s[i] == c)
			k++;

	return k;
}

int min(int a[], int n)
{
	int min = 0;
	for (int i = 0 ; i < n ; i++)
		if (a[min] > a[i])
			min = i;

	return min;
}

int main()
{
	char t[200000];
	char s[10];
	fgets(t, sizeof(t), stdin);
	fflush(stdin);
	fgets(s, sizeof(s), stdin);
	fflush(stdin);

	int s1[strlen(s) - 1];
	int k = 0;
	for (int i = 0 ; i < strlen(s) - 1 ; i++)
		s1[i] = duzina(s[i], t);

	printf("%d", s1[min(s1, strlen(s) - 1)]);


	printf("\n");
	for (int i = 0 ; i < strlen(t) - 1 ; i++)
		if (t[i] != s[min(s1, strlen(s) - 1)])
			printf("%c", t[i]);
		else
			printf("*");

	return 0;
}